Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Cisco ASA Message Authentication Code Vulnerability

Information

Severity

Severity

Medium

Family

Family

CISCO

CVSSv2 Base

CVSSv2 Base

4.3

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:N/I:P/A:N

Solution Type

Solution Type

Vendor Patch

Created

Created

7 years ago

Modified

Modified

3 years ago

Summary

Cisco ASA is prone to a Message Authentication Code checking vulnerability.

Insight

Insight

The vulnerability is due to an error on the firmware of the Cavium Networks cryptographic module. Due to this vulnerability, the message authentication code (MAC) on a TLS packet is not being checked. An attacker could exploit this vulnerability by intercepting encrypted packets in transit and modifying their contents. Such packets would be decrypted by the ASA, but the modification would not be detected.

Affected Software

Affected Software

Version 9.1

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Apply the appropriate updates from Cisco.

Common Vulnerabilities and Exposures (CVE)